## org.eclipse.emf.query.conditions.strings
Class StringAdapter

    java.lang.Object
      org.eclipse.emf.query.conditions.strings.StringAdapter

All Implemented Interfaces:
  IDataTypeAdapter<String>

    public abstract class StringAdapter

extends Object
implements IDataTypeAdapter<String>

An Adapter class to be used to extract from -adapt- the argument object to some `String`value that would later be used in `Condition` evaluation. Clients can subclass it and provide their own implementation``

See Also:
  `StringCondition`

Field Summary
`static StringAdapter` `DEFAULT` The simplest `StringAdapter` implementation that represents the case when the argument object to adapt is a `String`object itself.``

Constructor Summary
`StringAdapter()`

Method Summary
`String` `adapt(Object value)` Adapts the specified input value to the type that I provide.
`abstract String` `getString(Object object)` Extracts from/Adapts the argument object to a `String```

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final StringAdapter DEFAULT

  The simplest `StringAdapter` implementation that represents the case when the argument object to adapt is a `String`object itself.

  ``

Constructor Detail

### StringAdapter

    public StringAdapter()

Method Detail

### getString

    public abstract String getString(Object object)

  Extracts from/Adapts the argument object to a `String`

  ``
  Parameters:
    `object` - The argument object to adapt to a `String`by this adapter``
  Returns:
    String the `String`object representation of the argument object``

### adapt

    public String adapt(Object value)

  Description copied from interface: `IDataTypeAdapter`
  Adapts the specified input value to the type that I provide.

  Specified by:
    `adapt` in interface `IDataTypeAdapter<String>`
  Parameters:
    `value` - the input value
  Returns:
    the corresponding output value

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.